package com.fjhx.service.check;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.check.CheckDetails;
import com.fjhx.params.check.CheckDetailsVo;
import com.fjhx.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-12-23
 */
public interface CheckDetailsService extends BaseService<CheckDetails> {

    Page<CheckDetails> getPage(Map<String, Object> condition);

    void add(CheckDetailsVo checkDetailsVo);

    void edit(CheckDetailsVo checkDetailsVo);

    void delete(CheckDetailsVo checkDetailsVo);

    List<Map<String, Object>> getList(Long checkInfoId);

}
